import { Panel } from "../../module/views/Panel";
import { RES } from "../../module/RES";

export class NoPrizePanel extends Panel {
    get groupNames(){return ["NoPrizePanel"]}
    initUi() {
        this.addChild(new FYGE.Sprite(RES.getRes("noPrizeBg.png")))
        this.addChild(new FYGE.Button(RES.getRes("关闭按钮.png")))
            .addEventListener(FYGE.MouseEvent.CLICK, this.hidePanel, this)
            .position.set(633,468);
        this.addChild(new FYGE.Button(RES.getRes("知道了.png")))
            .addEventListener(FYGE.MouseEvent.CLICK, this.hidePanel, this)
            .position.set(165,759);
    }
}